> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vinted user items

> A Vinted member's current wardrobe: title-level data, prices, brand, size, condition, photos, favourites and reserved/closed/hidden flags. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-vinted-users-items
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-vinted-users-items:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Vinted user items
      description: >-
        A Vinted member's current wardrobe: title-level data, prices, brand,
        size, condition, photos, favourites and reserved/closed/hidden flags. 1
        point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  description: >-
                    User ID or profile URL. e.g. 103792107 or
                    https://www.vinted.de/member/103792107-katieronja
                  type: string
                max_items:
                  description: Max items (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                  default: 1
                domain:
                  description: >-
                    Domain. Options: vinted.de = vinted.de, vinted.fr =
                    vinted.fr, vinted.es = vinted.es, vinted.it = vinted.it,
                    vinted.nl = vinted.nl, vinted.pl = vinted.pl, vinted.co.uk =
                    vinted.co.uk
                  type: string
                  enum:
                    - vinted.de
                    - vinted.fr
                    - vinted.es
                    - vinted.it
                    - vinted.nl
                    - vinted.pl
                    - vinted.co.uk
                  default: vinted.de
              required:
                - user
            example:
              user: 103792107 or https://www.vinted.de/member/103792107-katieronja
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  user:
                    type: string
                  user_id:
                    type: string
                  domain:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      total_entries:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          id:
                            type: integer
                          url:
                            type: string
                          path:
                            type: string
                          price:
                            type: object
                            properties:
                              amount:
                                type: integer
                              currency:
                                type: string
                          total_price:
                            type: object
                            properties:
                              amount:
                                type: integer
                              currency:
                                type: string
                          service_fee:
                            type: object
                            properties:
                              amount:
                                type: integer
                              currency:
                                type: string
                          brand:
                            type: string
                          size:
                            type: string
                          status:
                            type: string
                          image:
                            type: string
                          images:
                            type: array
                            items:
                              type: string
                          favourite_count:
                            type: integer
                          view_count:
                            type: integer
                          is_closed:
                            type: boolean
                          is_reserved:
                            type: boolean
                          is_hidden:
                            type: boolean
                          is_draft:
                            type: boolean
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            url:
                              type: string
                            path:
                              type: string
                            price:
                              type: object
                              properties:
                                amount:
                                  type: integer
                                currency:
                                  type: string
                            total_price:
                              type: object
                              properties:
                                amount:
                                  type: number
                                currency:
                                  type: string
                            service_fee:
                              type: object
                              properties:
                                amount:
                                  type: number
                                currency:
                                  type: string
                            brand:
                              type: string
                            size:
                              type: string
                            status:
                              type: string
                            image:
                              type: string
                            images:
                              type: array
                              items:
                                type: string
                            favourite_count:
                              type: integer
                            view_count:
                              type: integer
                            is_closed:
                              type: boolean
                            is_reserved:
                              type: boolean
                            is_hidden:
                              type: boolean
                            is_draft:
                              type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: vinted_user_items
                user: 103792107 or https://www.vinted.de/member/103792107-katieronja
                user_id: '103792107'
                domain: vinted.de
                max_items: 2
                start_page: 1
                partial: false
                human: |-
                  # Vinted user items

                  - **Domain:** vinted.de
                  - **User:** 103792107
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 1.84 MB
                machine:
                  total_items: 2
                  total_entries: 12
                  first_item:
                    id: 10116537924
                    url: >-
                      https://www.vinted.de/items/10116537924-ungetragen-coole-weste-von-zara
                    path: /items/10116537924-ungetragen-coole-weste-von-zara
                    price:
                      amount: 6
                      currency: EUR
                    total_price:
                      amount: 7
                      currency: EUR
                    service_fee:
                      amount: 1
                      currency: EUR
                    brand: Zara
                    size: XS / 34 / 6
                    status: Neu
                    image: >-
                      https://images1.vinted.net/t/06_0134f_eSiZ7gp9xDxaCHwckB9Khbpu/f800/1790244428.jpeg?s=046c61edea588dd45419f0cee3ecc7a1dea916c6
                    images:
                      - >-
                        https://images1.vinted.net/t/06_0134f_eSiZ7gp9xDxaCHwckB9Khbpu/f800/1790244428.jpeg?s=046c61edea588dd45419f0cee3ecc7a1dea916c6
                      - >-
                        https://images1.vinted.net/t/06_01739_Fqtn7jMTkXzKWc3cXbm5Deb3/f800/1790244428.jpeg?s=2e22488a603c115dd6910d9ccc52ad69457571d7
                    favourite_count: 6
                    view_count: 0
                    is_closed: false
                    is_reserved: false
                    is_hidden: false
                    is_draft: false
                  items:
                    - id: 10116537924
                      url: >-
                        https://www.vinted.de/items/10116537924-ungetragen-coole-weste-von-zara
                      path: /items/10116537924-ungetragen-coole-weste-von-zara
                      price:
                        amount: 6
                        currency: EUR
                      total_price:
                        amount: 7
                        currency: EUR
                      service_fee:
                        amount: 1
                        currency: EUR
                      brand: Zara
                      size: XS / 34 / 6
                      status: Neu
                      image: >-
                        https://images1.vinted.net/t/06_0134f_eSiZ7gp9xDxaCHwckB9Khbpu/f800/1790244428.jpeg?s=046c61edea588dd45419f0cee3ecc7a1dea916c6
                      images:
                        - >-
                          https://images1.vinted.net/t/06_0134f_eSiZ7gp9xDxaCHwckB9Khbpu/f800/1790244428.jpeg?s=046c61edea588dd45419f0cee3ecc7a1dea916c6
                        - >-
                          https://images1.vinted.net/t/06_01739_Fqtn7jMTkXzKWc3cXbm5Deb3/f800/1790244428.jpeg?s=2e22488a603c115dd6910d9ccc52ad69457571d7
                      favourite_count: 6
                      view_count: 0
                      is_closed: false
                      is_reserved: false
                      is_hidden: false
                      is_draft: false
                    - id: 10116513588
                      url: >-
                        https://www.vinted.de/items/10116513588-barell-jeans-cos-w25-cropped
                      path: /items/10116513588-barell-jeans-cos-w25-cropped
                      price:
                        amount: 23
                        currency: EUR
                      total_price:
                        amount: 24.85
                        currency: EUR
                      service_fee:
                        amount: 1.85
                        currency: EUR
                      brand: COS
                      size: XS / 34 / 6
                      status: Sehr gut
                      image: >-
                        https://images1.vinted.net/t/06_01474_MDm8XcYxWL7qkKaTj3bi7CT5/f800/1790244288.jpeg?s=b45092f8dfa3b400ded921f2392629d8816d344a
                      images:
                        - >-
                          https://images1.vinted.net/t/06_01474_MDm8XcYxWL7qkKaTj3bi7CT5/f800/1790244288.jpeg?s=b45092f8dfa3b400ded921f2392629d8816d344a
                        - >-
                          https://images1.vinted.net/t/06_00644_B4cBMu2HgkyCjogpnWQULBuK/f800/1790244288.jpeg?s=d847d136c8150f72464bec81b750f073b3665f22
                      favourite_count: 13
                      view_count: 0
                      is_closed: false
                      is_reserved: false
                      is_hidden: false
                      is_draft: false
                  proxy_traffic_bytes: 1928810
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````